@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
dma_hw_t Struct Reference
Collaboration diagram for dma_hw_t:
[legend]

## Data Fields

dma_channel_hw_t | ch [12]
uint32_t | _pad0 [64]
union { |
struct { |
io_rw_32 intr |
io_rw_32 inte0 |
io_rw_32 intf0 |
io_rw_32 ints0 |
uint32_t __pad0 |
io_rw_32 inte1 |
io_rw_32 intf1 |
io_rw_32 ints1 |
} |
dma_irq_ctrl_hw_t irq_ctrl [2] |
}; |
io_rw_32 | timer [4]
io_wo_32 | multi_channel_trigger
io_rw_32 | sniff_ctrl
io_rw_32 | sniff_data
uint32_t | _pad1
io_ro_32 | fifo_levels
io_wo_32 | abort

The documentation for this struct was generated from the following file:

- include/hardware/structs/dma.h